> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1enrichmenthlrlogs



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/enrichment/hlr/logs
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/enrichment/hlr/logs:
    get:
      tags:
        - HlrValidations
      operationId: enrichment.hlr.logs
      parameters:
        - name: page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: per_page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: search
          in: query
          schema:
            type: string
        - name: campaign_id
          in: query
          schema:
            type:
              - string
              - 'null'
            format: uuid
        - name: team_id
          in: query
          schema:
            type:
              - string
              - 'null'
            format: uuid
        - name: object_type
          in: query
          schema:
            type:
              - string
              - 'null'
            enum:
              - call
              - sms
        - name: object_id
          in: query
          schema:
            type:
              - string
              - 'null'
            format: uuid
        - name: start_date
          in: query
          schema:
            type:
              - string
              - 'null'
        - name: end_date
          in: query
          schema:
            type:
              - string
              - 'null'
        - name: search_ids
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
      responses:
        '200':
          description: Array of `HlrValidationResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/HlrValidationResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    HlrValidationResource:
      type: object
      properties:
        id:
          type: string
        team_name:
          type: string
        team_id:
          type:
            - string
            - 'null'
        object_id:
          type:
            - string
            - 'null'
        object_type:
          type: string
          enum:
            - call
            - sms
            - unknown
        campaign_id:
          type:
            - string
            - 'null'
        campaign_send_id:
          type:
            - string
            - 'null'
        number:
          type: integer
        status:
          type: string
        country_id:
          type:
            - integer
            - 'null'
        network_id:
          type:
            - integer
            - 'null'
        error_message:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        latency:
          type: string
        cost:
          type: string
        provider:
          type: string
        hlr_reason:
          type:
            - string
            - 'null'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - team_name
        - team_id
        - object_id
        - object_type
        - campaign_id
        - campaign_send_id
        - number
        - status
        - country_id
        - network_id
        - error_message
        - meta
        - latency
        - cost
        - provider
        - hlr_reason
        - created_at
        - updated_at
      title: HlrValidationResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````